Listar formulários
curl --request GET \
--url https://api.olie.ai/api/management/get-forms \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.olie.ai/api/management/get-forms"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.olie.ai/api/management/get-forms', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.olie.ai/api/management/get-forms",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.olie.ai/api/management/get-forms"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.olie.ai/api/management/get-forms")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.olie.ai/api/management/get-forms")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"response": true,
"forms": [
{
"id": 69,
"title": "Briefing de projeto",
"frame_id": "01a0252b-d865-71af-a0a2-d4e168d1ffe5",
"created_at": "2026-09-22T21:40:47.000000Z",
"updated_at": "2026-09-22T21:40:56.000000Z",
"deleted_at": null,
"edges_count": 3,
"answers_count": 0,
"edges": [
{
"id": 112,
"type": "short_text",
"label": "Objetivo do projeto",
"index": 0,
"help_text": "Descreva em uma frase.",
"description": null,
"options": [],
"initial_value": null,
"required": true,
"custom_validation": null,
"conditional": null,
"form_id": 69,
"created_at": "2026-09-22T21:40:47.000000Z",
"updated_at": "2026-09-22T21:40:47.000000Z",
"deleted_at": null,
"is_multiple": false,
"logical_operator": "and",
"is_migrated": false,
"conditional_action": null,
"conditionals": []
},
{
"id": 113,
"type": "select",
"label": "Canal de venda",
"index": 1,
"help_text": null,
"description": null,
"options": [
"Loja física",
"E-commerce",
"Marketplace"
],
"initial_value": null,
"required": false,
"custom_validation": null,
"conditional": null,
"form_id": 69,
"created_at": "2026-09-22T21:40:47.000000Z",
"updated_at": "2026-09-22T21:40:47.000000Z",
"deleted_at": null,
"is_multiple": false,
"logical_operator": "and",
"is_migrated": false,
"conditional_action": null,
"conditionals": []
},
{
"id": 114,
"type": "link",
"label": "URL da loja",
"index": 2,
"help_text": null,
"description": null,
"options": [],
"initial_value": null,
"required": false,
"custom_validation": null,
"conditional": null,
"form_id": 69,
"created_at": "2026-09-22T21:40:47.000000Z",
"updated_at": "2026-09-22T21:40:47.000000Z",
"deleted_at": null,
"is_multiple": false,
"logical_operator": "and",
"is_migrated": false,
"conditional_action": "show",
"conditionals": [
{
"id": 1,
"form_edge_id": 114,
"operator": "equals",
"value": "E-commerce",
"target_id": 113
}
]
}
]
}
]
}forms
Listar formulários
Lista todos os formulários da conta, sem paginação, com seus campos e as contagens de campos e de respostas. Por padrão traz só os ativos. Conceito de formulário: Formulários dinâmicos.
GET
/
api
/
management
/
get-forms
Listar formulários
curl --request GET \
--url https://api.olie.ai/api/management/get-forms \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.olie.ai/api/management/get-forms"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.olie.ai/api/management/get-forms', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.olie.ai/api/management/get-forms",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.olie.ai/api/management/get-forms"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.olie.ai/api/management/get-forms")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.olie.ai/api/management/get-forms")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"response": true,
"forms": [
{
"id": 69,
"title": "Briefing de projeto",
"frame_id": "01a0252b-d865-71af-a0a2-d4e168d1ffe5",
"created_at": "2026-09-22T21:40:47.000000Z",
"updated_at": "2026-09-22T21:40:56.000000Z",
"deleted_at": null,
"edges_count": 3,
"answers_count": 0,
"edges": [
{
"id": 112,
"type": "short_text",
"label": "Objetivo do projeto",
"index": 0,
"help_text": "Descreva em uma frase.",
"description": null,
"options": [],
"initial_value": null,
"required": true,
"custom_validation": null,
"conditional": null,
"form_id": 69,
"created_at": "2026-09-22T21:40:47.000000Z",
"updated_at": "2026-09-22T21:40:47.000000Z",
"deleted_at": null,
"is_multiple": false,
"logical_operator": "and",
"is_migrated": false,
"conditional_action": null,
"conditionals": []
},
{
"id": 113,
"type": "select",
"label": "Canal de venda",
"index": 1,
"help_text": null,
"description": null,
"options": [
"Loja física",
"E-commerce",
"Marketplace"
],
"initial_value": null,
"required": false,
"custom_validation": null,
"conditional": null,
"form_id": 69,
"created_at": "2026-09-22T21:40:47.000000Z",
"updated_at": "2026-09-22T21:40:47.000000Z",
"deleted_at": null,
"is_multiple": false,
"logical_operator": "and",
"is_migrated": false,
"conditional_action": null,
"conditionals": []
},
{
"id": 114,
"type": "link",
"label": "URL da loja",
"index": 2,
"help_text": null,
"description": null,
"options": [],
"initial_value": null,
"required": false,
"custom_validation": null,
"conditional": null,
"form_id": 69,
"created_at": "2026-09-22T21:40:47.000000Z",
"updated_at": "2026-09-22T21:40:47.000000Z",
"deleted_at": null,
"is_multiple": false,
"logical_operator": "and",
"is_migrated": false,
"conditional_action": "show",
"conditionals": [
{
"id": 1,
"form_edge_id": 114,
"operator": "equals",
"value": "E-commerce",
"target_id": 113
}
]
}
]
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Busca parcial no título do formulário ou no rótulo dos campos. Com busca, edges traz apenas os campos cujo rótulo casou.
ID de um formulário ou de um campo. Tem prioridade sobre search; edges traz apenas o campo com esse ID.
Formulários excluídos: with (ativos e excluídos) ou only (só excluídos). Omita para trazer só os ativos.
Was this page helpful?